{% extends "base.html" %}

{% block content %}

    <table>
        <tr valing="top">
            <td><img src ="{{ user.avatar(128) }}"></td>
            <td>
                <h1>{{ user.username }}</h1>
                {% if user.about_me %}
                    <p>{{ user.about_me }}</p>
                {% endif %}
                {% if user.last_seen %}
                    <p>Ostatnio aktywny: {{ user.last_seen }}</p>
                {% endif %}
                <p>Użytkownik ma: {{ user.followers.count() }},
                śledzi dużo śledzi, o tyle: {{ user.followed.count() }}</p>
            </td>
        </tr>
    </table>
    <hr>
        {% if user==current_user %}
            <p>
                <a href="{{ url_for('edit_profile') }}">Edytuj profil</a>
            </p>
            {% elif not current_user.is_following(user) %}
            <p>
            <a href="{{ url_for('follow', username=user.username) }}">Śledż użytkownika</a>
            </p>
            {% elif not current_user.is_following(user) %}
            <p>
            <a href="{{ url_for('unfollow', username=user.username) }}">Przestań sledzić użytkownika</a>
            </p>
        {% endif %}
    {% for post in posts %}
        {% include "_post.html" %}
    {% endfor %}

{% endblock %}